mbed_host_tests.host_tests_runner.host_test.Test Class Reference
Inheritance diagram for mbed_host_tests.host_tests_runner.host_test.Test:

## Public Member Functions

def | __init__ (self, options)
def | run (self)
def | setup (self)
| Setup and check if configuration for test is correct. More...
def | notify (self, msg)
| On screen notification function. More...
def | print_result (self, result)
| Test result unified printing function. More...
def | finish (self)
def | get_hello_string (self)
Public Member Functions inherited from mbed_host_tests.host_tests_runner.host_test.HostTestResults
def | enum (self, **enums)
def | __init__ (self)
def | get_test_result_int (self, test_result_str)
| Maps test result string to unique integer. More...
def | __getitem__ (self, test_result_str)
| Returns numerical result code. More...

## Public Attributes

| mbed
Public Attributes inherited from mbed_host_tests.host_tests_runner.host_test.HostTestResults
| TestResults
| TestResultsList

## Detailed Description

     Base class for host test's test runner

Definition at line 87 of file host_test.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_host_tests.host_tests_runner.host_test.Test.__init__ | ( |  | self,
|  |  | options
| ) |  |

     ctor

Reimplemented in mbed_host_tests.host_tests_runner.host_test_default.DefaultTestSelector, and mbed_host_tests.host_tests_runner.host_test.DefaultTestSelectorBase.

Definition at line 90 of file host_test.py.

## Member Function Documentation

## finish()

def mbed_host_tests.host_tests_runner.host_test.Test.finish | ( |  | self | ) |

     dctor for this class, finishes tasks and closes resources

Definition at line 122 of file host_test.py.

## get_hello_string()

def mbed_host_tests.host_tests_runner.host_test.Test.get_hello_string | ( |  | self | ) |

     Hello string used as first print

Definition at line 127 of file host_test.py.

## notify()

def mbed_host_tests.host_tests_runner.host_test.Test.notify | ( |  | self,
|  |  | msg
| ) |  |

On screen notification function.

Parameters

  msg | Text message sent to stdout directly

Definition at line 108 of file host_test.py.

## print_result()

def mbed_host_tests.host_tests_runner.host_test.Test.print_result | ( |  | self,
|  |  | result
| ) |  |

Test result unified printing function.

Parameters

  result | Should be a member of HostTestResults.RESULT_* enums

Definition at line 115 of file host_test.py.

## run()

def mbed_host_tests.host_tests_runner.host_test.Test.run | ( |  | self | ) |

     Test runner for host test. This function will start executing
        test and forward test result via serial port to test suite

Definition at line 96 of file host_test.py.

## setup()

def mbed_host_tests.host_tests_runner.host_test.Test.setup | ( |  | self | ) |

Setup and check if configuration for test is correct.

This function can for example check if serial port is already opened

Definition at line 102 of file host_test.py.

## Member Data Documentation

## mbed

mbed_host_tests.host_tests_runner.host_test.Test.mbed

Definition at line 94 of file host_test.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_runner/host_test.py